set hh     Households /
HH1         YES
HH2         YES
HH3         YES
HH4         YES
/;
set hh3    Households /
HH3
/;
set s      industries /
COL         YES
CRU         YES
ELE         YES
GAS         YES
OIL         YES
AGR         YES
MIN         YES
CNS         YES
FOO         YES
APP         YES
LUM         YES
PAP         YES
PRN         YES
CHM         YES
RUB         YES
GLS         YES
CEM         YES
OMN         YES
I_S         YES
ALU         YES
OPM         YES
FMP         YES
MAC         YES
CPU         YES
ELQ         YES
TRQ         YES
MSC         YES
WRT         YES
TRN         YES
IFN         YES
FIR         YES
BUS         YES
EDU         YES
HLT         YES
SRV         YES
/;
set trd    trade /
dtrd,ftrd
/;
set alls   all sectors /
HH1         YES
HH2         YES
HH3         YES
HH4         YES
G,
COL         YES
CRU         YES
ELE         YES
GAS         YES
OIL         YES
AGR         YES
MIN         YES
CNS         YES
FOO         YES
APP         YES
LUM         YES
PAP         YES
PRN         YES
CHM         YES
RUB         YES
GLS         YES
CEM         YES
OMN         YES
I_S         YES
ALU         YES
OPM         YES
FMP         YES
MAC         YES
CPU         YES
ELQ         YES
TRQ         YES
MSC         YES
WRT         YES
TRN         YES
IFN         YES
FIR         YES
BUS         YES
EDU         YES
HLT         YES
SRV         YES
/;
set alls_inv       all sectors and investment /
HH1         YES
HH2         YES
HH3         YES
HH4         YES
G,
Inv,
COL         YES
CRU         YES
ELE         YES
GAS         YES
OIL         YES
AGR         YES
MIN         YES
CNS         YES
FOO         YES
APP         YES
LUM         YES
PAP         YES
PRN         YES
CHM         YES
RUB         YES
GLS         YES
CEM         YES
OMN         YES
I_S         YES
ALU         YES
OPM         YES
FMP         YES
MAC         YES
CPU         YES
ELQ         YES
TRQ         YES
MSC         YES
WRT         YES
TRN         YES
IFN         YES
FIR         YES
BUS         YES
EDU         YES
HLT         YES
SRV         YES
/;
set mat_cru(s)     materials and crude oil /
CRU,
AGR         YES
MIN         YES
CNS         YES
FOO         YES
APP         YES
LUM         YES
PAP         YES
PRN         YES
CHM         YES
RUB         YES
GLS         YES
CEM         YES
OMN         YES
I_S         YES
ALU         YES
OPM         YES
FMP         YES
MAC         YES
CPU         YES
ELQ         YES
TRQ         YES
MSC         YES
WRT         YES
TRN         YES
IFN         YES
FIR         YES
BUS         YES
EDU         YES
HLT         YES
SRV         YES
/;
set mat(s) materials /
AGR         YES
MIN         YES
CNS         YES
FOO         YES
APP         YES
LUM         YES
PAP         YES
PRN         YES
CHM         YES
RUB         YES
GLS         YES
CEM         YES
OMN         YES
I_S         YES
ALU         YES
OPM         YES
FMP         YES
MAC         YES
CPU         YES
ELQ         YES
TRQ         YES
MSC         YES
WRT         YES
TRN         YES
IFN         YES
FIR         YES
BUS         YES
EDU         YES
HLT         YES
SRV         YES
/;
set agr(s) agriculture /
AGR         YES
/;
set man(s) manufacturing /
CNS         YES
APP         YES
LUM         YES
PRN         YES
RUB         YES
OMN         YES
OPM         YES
FMP         YES
MAC         YES
ELQ         YES
TRQ         YES
MSC         YES
/;
set eis(s) EIS /
FOO         YES
PAP         YES
CHM         YES
GLS         YES
CEM         YES
I_S         YES
ALU         YES
/;
set trn(s) transportation /
TRN         YES
/;
set trgtgrow(s)    industries with growth targets /
AGR         YES
CNS         YES
FOO         YES
APP         YES
LUM         YES
PAP         YES
PRN         YES
CHM         YES
RUB         YES
GLS         YES
CEM         YES
OMN         YES
I_S         YES
ALU         YES
OPM         YES
FMP         YES
MAC         YES
ELQ         YES
TRQ         YES
MSC         YES
TRN         YES
/;
set var1 /
NUKE         YES
HYDRO         YES
BIO         YES
WIND         YES
y0         YES
id0         YES
cd0         YES
g0         YES
Fossil         YES
GDP         YES
GOVT         YES
LEISURE         YES
Population         YES
MM_EV         YES
EV         YES
MM_EVannl         YES
EVannl         YES
GDP2020         YES
GDP_US         YES
GDP_LK         YES
FactorEarn         YES
Consum         YES
Invest         YES
Lab_Earn         YES
Res_Earn         YES
Tax_Rev         YES
AdvELE_Earn         YES
Lab_Units         YES
Wage         YES
CPI         YES
Output_Rev         YES
Output_Unt         YES
Cap_Earn         YES
DomExp         YES
ForExp         YES
DomImp         YES
ForImp         YES
FUELprice         YES
CommPrice         YES
Cons_DLR         YES
Cons_Unit         YES
Energy         YES
FuelHH         YES
FuelTotal         YES
FuelDollar         YES
ELEindus         YES
ELEhh         YES
ELEtotal         YES
ELE_gen         YES
HeatRate         YES
HHincome         YES
HHdispIncm         YES
Households         YES
EIA_price         YES
Cap_Units         YES
Fix_Earn         YES
Fix_Units         YES
AdvELE         YES
CC         YES
Engineering YES
/;
set var2 /
NUKE         YES
HYDRO         YES
BIO         YES
WIND         YES
GEO         YES
MSW         YES
SOLAR         YES
TOTAL         YES
MANUF         YES
Lab_Units         YES
HeatRate         YES
Households         YES
Cap_Units         YES
Fix_Units         YES
CC         YES
X         YES
NONMAN         YES
TRAN         YES
WgtPrice         YES
WgtQuant         YES
Othnrg         YES
Markup         YES
CAPshr         YES
LABshr         YES
FIXshr         YES
FUELshr         YES
Out_Rev         YES
Lab_Rev         YES
Cap_Rev         YES
Interm_Rev         YES
Fuel_Rev         YES
Land_Rev         YES
Fix_Rev         YES
Out_Units         YES
Land_Units         YES
Interm_Units         YES
Fuel_Units         YES
Carb_Units         YES
COL         YES
CRU         YES
ELE         YES
GAS         YES
OIL         YES
AGR         YES
MIN         YES
CNS         YES
FOO         YES
APP         YES
LUM         YES
PAP         YES
PRN         YES
CHM         YES
RUB         YES
GLS         YES
CEM         YES
OMN         YES
I_S         YES
ALU         YES
OPM         YES
FMP         YES
MAC         YES
CPU         YES
ELQ         YES
TRQ         YES
MSC         YES
WRT         YES
TRN         YES
IFN         YES
FIR         YES
BUS         YES
EDU         YES
HLT         YES
SRV         YES
HH,
HH1         YES
HH2         YES
HH3         YES
HH4         YES
Cost	YES
/;
set var3 /
X,
COL         YES
CRU         YES
ELE         YES
GAS         YES
OIL         YES
AGR         YES
MIN         YES
CNS         YES
FOO         YES
APP         YES
LUM         YES
PAP         YES
PRN         YES
CHM         YES
RUB         YES
GLS         YES
CEM         YES
OMN         YES
I_S         YES
ALU         YES
OPM         YES
FMP         YES
MAC         YES
CPU         YES
ELQ         YES
TRQ         YES
MSC         YES
WRT         YES
TRN         YES
IFN         YES
FIR         YES
BUS         YES
EDU         YES
HLT         YES
SRV         YES
CC
NUKE
HYDRO
BIO
WIND
AVG
HEAT
MOTO
/;
set var4 /
COL         YES
GAS         YES
X         YES
BAU         YES
SCN         YES
Avg         YES
/;
set runs(var4) /
BAU         YES
SCN         YES
/;
set var5 /
X         YES
2005         YES
2006         YES
2007         YES
2008         YES
2009         YES
2010         YES
2011         YES
2012         YES
2013         YES
2014         YES
2015         YES
2016         YES
2017         YES
2018         YES
2019         YES
2020         YES
2021         YES
2022         YES
2023         YES
2024         YES
2025         YES
2026         YES
2027         YES
2028         YES
2029         YES
2030         YES
2031         YES
2032         YES
2033         YES
2034         YES
2035         YES
2036         YES
2037         YES
2038         YES
2039         YES
2040         YES
2041         YES
2042         YES
2043         YES
2044         YES
2045         YES
2046         YES
2047         YES
2048         YES
2049         YES
2050         YES
/;
set svar(var2) /
COL         YES
CRU         YES
ELE         YES
GAS         YES
OIL         YES
AGR         YES
MIN         YES
CNS         YES
FOO         YES
APP         YES
LUM         YES
PAP         YES
PRN         YES
CHM         YES
RUB         YES
GLS         YES
CEM         YES
OMN         YES
I_S         YES
ALU         YES
OPM         YES
FMP         YES
MAC         YES
CPU         YES
ELQ         YES
TRQ         YES
MSC         YES
WRT         YES
TRN         YES
IFN         YES
FIR         YES
BUS         YES
EDU         YES
HLT         YES
SRV         YES
Households
NUKE
HYDRO
BIO
GEO
MSW
SOLAR
WIND
/;
set gvar(var3) /
COL         YES
CRU         YES
ELE         YES
GAS         YES
OIL         YES
AGR         YES
MIN         YES
CNS         YES
FOO         YES
APP         YES
LUM         YES
PAP         YES
PRN         YES
CHM         YES
RUB         YES
GLS         YES
CEM         YES
OMN         YES
I_S         YES
ALU         YES
OPM         YES
FMP         YES
MAC         YES
CPU         YES
ELQ         YES
TRQ         YES
MSC         YES
WRT         YES
TRN         YES
IFN         YES
FIR         YES
BUS         YES
EDU         YES
HLT         YES
SRV         YES
/;
set nrgvar(var3) /
COL         YES
CRU         YES
ELE         YES
GAS         YES
OIL         YES
/;
set mapSVAR(s,svar) /
COL.COL         YES
CRU.CRU         YES
ELE.ELE         YES
GAS.GAS         YES
OIL.OIL         YES
AGR.AGR         YES
MIN.MIN         YES
CNS.CNS         YES
FOO.FOO         YES
APP.APP         YES
LUM.LUM         YES
PAP.PAP         YES
PRN.PRN         YES
CHM.CHM         YES
RUB.RUB         YES
GLS.GLS         YES
CEM.CEM         YES
OMN.OMN         YES
I_S.I_S         YES
ALU.ALU         YES
OPM.OPM         YES
FMP.FMP         YES
MAC.MAC         YES
CPU.CPU         YES
ELQ.ELQ         YES
TRQ.TRQ         YES
MSC.MSC         YES
WRT.WRT         YES
TRN.TRN         YES
IFN.IFN         YES
FIR.FIR         YES
BUS.BUS         YES
EDU.EDU         YES
HLT.HLT         YES
SRV.SRV         YES
/;
