
parameter
c1,cl1,y1,gov1,inv1,rnw1,
pc1,pcl1,py1,pn1,px1,pm1,pa1,
pg1,rk1,pk1,pkt1,pl1,pr1,prnw1,
fuelmoto1,
emply1,emplrnw1,capy1,cappry1,caprnw1,
fexpg1,fimpg1,dexpg1,dimpg1,
pcnum_reg1,ValueOut1,QuantOut1,EmployS1,
LabEarnS1,LabEarn1,CapEarnS1,
CapEarnRes1,CapEarnRnw1,CapEarn1,
FuelDollar1,
Consum1,
GDP1,
MM_EVannl1,HHincome1
;

c1(r,hh,t)		= c.l(r,hh,t);
cl1(r,hh,t)		= cl.l(r,hh,t);
cl1(r,"HH",t)		= sum(hh, cl.l(r,hh,t) * cl0(r,hh)) / sum(hh, cl0(r,hh));
y1(r,s,t)		= y.l(r,s,t);
rnw1(r,t)		= rnw.l(r,t);
gov1(r,t)		= gov.l(r,t);
inv1(r,t)		= inv.l(r,t);
pc1(r,hh,t)		= pc.l(r,hh,t);
pcl1(r,hh,t)		= pcl.l(r,hh,t);
py1(r,s,t)		= py.l(r,s,t);
pn1(r,s,t)		= pn.l(r,s,t);
px1(r,s,t)		= px.l(r,s,t);
pm1(r,g,t)		= pm.l(r,g,t);
pa1(r,s,t)		= pa.l(r,s,t);
pg1(r,t)		= pg.l(r,t);
pl1(r,t)		= pl.l(r,t);
pr1(r,s,t)		= pr.l(r,s,t);
prnw1(r,t)		= prnw.l(r,t);
rk1(r,t)		= rk.l(r,t);
pk1(r,t)		= pk.l(r,t);
pkt1(r)			= pkt.l(r);
fuelmoto1(r,hh,t)	= fuelmoto.l(r,hh,t);
emply1(r,s,t)		= emply.l(r,s,t);	
emplrnw1(r,t)		= emplrnw.l(r,t);	
capy1(r,s,t)		= capy.l(r,s,t);	
cappry1(r,s,t)		= cappry.l(r,s,t);	
caprnw1(r,t)		= caprnw.l(r,t);	
fexpg1(r,s,t)		= fexpg.l(r,s,t);
fimpg1(r,g,t)		= fimpg.l(r,g,t);
dexpg1(r,s,t)		= dexpg.l(r,s,t);
dimpg1(r,reg,g,t)	= dimpg.l(r,reg,g,t);

pcnum_reg1(r,t)		= sum(hh, pc1(r,hh,t) * c0(r,hh) * c1(r,hh,t)) / sum(hh, c0(r,hh) * c1(r,hh,t));

ValueOut1(r,s,t)	= ( y0(r,s) * py1(r,s,t) * y1(r,s,t)+ (y0_rnw(r)*py1(r,"ELE",t)*rnw1(r,t))$eles(s) ) / pcnum_reg1(r,t);
ValueOut1(r,"ELE",t)	= ( y0(r,"ELE") * pa1(r,"ELE",t) * y1(r,"ELE",t)+ y0_rnw(r)*pa1(r,"ELE",t)*rnw1(r,t) ) / pcnum_reg1(r,t);
QuantOut1(r,s,t)	= y0(r,s) * y1(r,s,t) + rnw1(r,t)$eles(s);
QuantOut1(r,"ELE",t)	= ELECconv(r) * y1(r,"ELE",t) + RNWconv(r) * rnw1(r,t);

EmployS1(r,s,t)		= emply1(r,s,t) + emplrnw1(r,t)$eles(s);
LabEarnS1(r,s,t)	= EmployS1(r,s,t) * pl1(r,t) / pcnum_reg1(r,t);
LabEarn1(r,t)		= sum(s, LabEarnS1(r,s,t));
CapEarnRnw1(r,t)	= caprnw1(r,t)*prnw1(r,t) / pcnum_reg1(r,t);
CapEarnS1(r,s,t)	= capy1(r,s,t) * rk1(r,t) / pcnum_reg1(r,t) + CapEarnRnw1(r,t)$eles(s);
CapEarnRes1(r,s,t)	= cappry1(r,s,t)*pr1(r,s,t) / pcnum_reg1(r,t);
CapEarn1(r,t)		= sum(s, CapEarnS1(r,s,t)) + sum(s, CapEarnRes1(r,s,t));

FuelDollar1(r,nrg,s,t)		 = pa.l(r,nrg,t) * fuely.l(r,nrg,s,t) / pcnum_reg1(r,t);
FuelDollar1(r,"ELE","ELE","2005")= ValueOut1(r,"ELE","2005") * 0.0106;
FuelDollar1(r,"ELE","ELE","2010")= ValueOut1(r,"ELE","2010") * 0.0096;
FuelDollar1(r,"ELE","ELE","2015")= ValueOut1(r,"ELE","2015") * 0.0088;
FuelDollar1(r,"ELE","ELE","2020")= ValueOut1(r,"ELE","2020") * 0.0081;
FuelDollar1(r,"ELE","ELE","2025")= ValueOut1(r,"ELE","2025") * 0.0075;
FuelDollar1(r,"ELE","ELE","2030")= ValueOut1(r,"ELE","2030") * 0.0075;
FuelDollar1(r,"ELE","ELE","2035")= ValueOut1(r,"ELE","2035") * 0.0075;

Consum1(r,t)	= ( sum(hh, c1(r,hh,t) * c0(r,hh)) );

GDP1(r,yr)$pcnum_reg1(r,yr) =
	( sum(hh, pc1(r,hh,yr) * c1(r,hh,yr) * c0(r,hh) )
	+ (pk1(r,yr+5)+pkt1(r)$tt(yr)) * inv1(r,yr) * inv0(r)
	+ pg1(r,yr) * gov1(r,yr) * gov0(r)
	) / pcnum_reg1(r,yr)
	+ 
	( sum(s, px1(r,s,yr) * fexpg1(r,s,yr))
	- sum(s, pm1(r,s,yr) * fimpg1(r,s,yr))
	+ sum(s, pn1(r,s,yr) * dexpg1(r,s,yr))
	- sum((reg,s), pn1(reg,s,yr) * dimpg1(r,reg,s,yr))
	) / pcnum_reg1(r,yr);

gov_bau(r,t)	= gov1(r,t);

MM_EVannl1(r,hh,t)		= cl1(r,hh,t) * cl0(r,hh) * pcl1(r,hh,t) / pcnum_reg1(r,t);
MM_EVannl1(r,"HH",t)		= sum(hh, cl1(r,hh,t) * cl0(r,hh)); 

* HH income variables for EGAS
HHincome1(r,hh,t)	= 
	LabEarn1(r,t) * le0_shr(r,hh) + 
	CapEarn1(r,t) * ke0_shr(r,hh) + 
	(
	sum((reg,colgas), pr.l(reg,colgas,t) * natres_endow(r,reg,hh,colgas,t) ) + 
	sum((reg,cru), pr.l(reg,cru,t) * natres_endow(r,reg,hh,cru,t)) + 
	sum((reg,agr), pr.l(reg,agr,t) * natres_endow(r,reg,hh,agr,t)) + 
	sum(reg, prnw.l(reg,t) * rnw_endow(r,reg,hh) * rnw_grow(reg,t))
	) / pcnum_reg1(r,t)
	+ sum(s, tl(r,s) * LabEarnS1(r,s,t)) * le0_shr(r,hh)
	+ sum(s, tk(r,s) * CapEarnS1(r,s,t)) * ke0_shr(r,hh)
	+ sum(s$eles(s), tk(r,s) * CapEarnRnw1(r,t)) * ke0_shr(r,hh);

