parameter
w2,c2,cl2,y2,gov2,inv2,rnw2,
pc2,pcl2,pn2,px2,pm2,pxd2,pa2,
pg2,pk2,pkt2,
fuelmoto2,
fexpg2,fimpg2,dexpg2,dimpg2,
pcnum_reg2,QuantOut2,
Consum2,
GDP2,
MM_EVannl2
;

c2(r,hh,t)		= c.l(r,hh,t);
cl2(r,hh,t)		= cl.l(r,hh,t);
cl2(r,"HH",t)		= sum(hh, cl.l(r,hh,t) * cl0(r,hh)) / sum(hh, cl0(r,hh));
y2(r,s,t)		= y.l(r,s,t);
rnw2(r,t)		= rnw.l(r,t);
gov2(r,t)		= gov.l(r,t);
inv2(r,t)		= inv.l(r,t);
pc2(r,hh,t)		= pc.l(r,hh,t);
pcl2(r,hh,t)		= pcl.l(r,hh,t);
pn2(r,s,t)		= pn.l(r,s,t);
px2(r,s,t)		= px.l(r,s,t);
pm2(r,g,t)		= pm.l(r,g,t);
pa2(r,s,t)		= pa.l(r,s,t);
pg2(r,t)		= pg.l(r,t);
pk2(r,t)		= pk.l(r,t);
pkt2(r)			= pkt.l(r);
fexpg2(r,s,t)		= fexpg.l(r,s,t);
fimpg2(r,g,t)		= fimpg.l(r,g,t);
dexpg2(r,s,t)		= dexpg.l(r,s,t);
dimpg2(r,reg,g,t)	= dimpg.l(r,reg,g,t);

pcnum_reg2(r,t)		= sum(hh, pc2(r,hh,t) * c0(r,hh) * c2(r,hh,t)) / sum(hh, c0(r,hh) * c2(r,hh,t));

QuantOut2(r,s,t)	= y0(r,s) * y2(r,s,t) + rnw2(r,t)$eles(s);
QuantOut2(r,"ELE",t)	= ELECconv(r) * y2(r,"ELE",t) + RNWconv(r) * rnw2(r,t);

Consum2(r,t)	= ( sum(hh, c2(r,hh,t) * c0(r,hh)) );

GDP2(r,yr)$pcnum_reg2(r,yr) =
	( sum(hh, pc2(r,hh,yr) * c2(r,hh,yr) * c0(r,hh) )
	+ (pk2(r,yr+5)+pkt2(r)$tt(yr)) * inv2(r,yr) * inv0(r)
	+ pg2(r,yr) * gov2(r,yr) * gov0(r)
	) / pcnum_reg2(r,yr)
	+ 
	( sum(s, px2(r,s,yr) * fexpg2(r,s,yr))
	- sum(s, pm2(r,s,yr) * fimpg2(r,s,yr))
	+ sum(s, pn2(r,s,yr) * dexpg2(r,s,yr))
	- sum((reg,s), pn2(reg,s,yr) * dimpg2(r,reg,s,yr))
	) / pcnum_reg2(r,yr);

MM_EVannl2(r,hh,t)		= cl2(r,hh,t) * cl0(r,hh) * pcl2(r,hh,t) / pcnum_reg2(r,t);

MM_EVannl2(r,"HH",t)		= sum(hh, cl2(r,hh,t) * cl0(r,hh));  

RegRslt("US","Engineering","Cost","x","scn",t)	= Engineering("US","total",t) * deflator;

RegRslt("US","MM_EVannl","HH","x","x",t)	= sum(r, (MM_EVannl2(r,"HH",t) - MM_EVannl1(r,"HH",t))*1000) * deflator;
RegRslt("US","EVannl","HH","x","x",t)		= sum(r, (100 * (cl2(r,"HH",t)/cl1(r,"HH",t)-1)) * MM_EVannl1(r,"HH",t)) / sum(r, MM_EVannl1(r,"HH",t));

RegRslt("US","GDP","x","x","bau",t)		= sum(r, GDP1(r,t))*1000 * deflator;
RegRslt("US","Consum","x","x","bau",t)		= sum(r, Consum1(r,t))*1000 * deflator;
RegRslt("US","Output_Unt",svar,"X","bau",t)	= sum(r, QuantOut1(r,svar,t))*1000; 
RegRslt("US","Output_Unt","ELE","X","bau",t)	= sum(r, QuantOut1(r,"ELE",t));

RegRslt("US","GDP","x","x","scn",t)		= sum(r, GDP2(r,t))*1000 * deflator;
RegRslt("US","Consum","x","x","scn",t)		= sum(r, Consum2(r,t))*1000 * deflator;
RegRslt("US","Output_Unt",svar,"X","scn",t)	= sum(r, QuantOut2(r,svar,t))*1000; 
RegRslt("US","Output_Unt","ELE","X","scn",t)	= sum(r, QuantOut2(r,"ELE",t));

Region_All(var1,var2,var3,var4,var5)= RegRslt("US",var1,var2,var3,var4,var5);
$libinclude xlexport Region_All ..\Results\Results_%scenario%.xls Region_All

$label end
$exit

